package WebGUI::Help::WebGUI;

our $HELP = {
	'packages using' => {
		title => '681',
		body => '636',
		fields => [
		],
		related => [
		]
	},
	'content filtering' => {
		title => '418',
		body => 'content filter body',
		fields => [
		],
		related => [
		],
	},
	'replacements edit' => {
		title => '1052',
		body => 'replacements edit body',
		fields => [
                        {
                                title => '1050',
                                description => '1050 description',
                                namespace => 'WebGUI',
                        },
                        {
                                title => '1051',
                                description => '1051 description',
                                namespace => 'WebGUI',
                        },
		],
		related => [
		],
	},
	'style template' => {
		title => '1073',
		body => '1074',
		variables => [
		          {
		            'name' => 'body.content'
		          },
		          {
		            'name' => 'head.tags'
		          }
		],
		fields => [
		],
		related => [
			{
				tag => 'style sheets using',
				namespace => 'WebGUI'
			},
			{
				tag => 'template language',
				namespace => 'Asset_Template'
			},
		]
	},

	'style sheets using' => {
		title => '668',
		body => '623',
		fields => [
		],
		related => [
			{
				tag => 'style template',
				namespace => 'WebGUI'
			}
		]
	},
	'grouping edit' => {
		title => 'grouping edit title',
		body => 'grouping edit body',
		fields => [
                        {
                                title => '50',
                                description => '50 description',
                                namespace => 'WebGUI',
                        },
                        {
                                title => '84',
                                description => '84 description',
                                namespace => 'WebGUI',
                        },
                        {
                                title => '369',
                                description => '369 description',
                                namespace => 'WebGUI',
                        },
                        {
                                title => '977',
                                description => '977 description',
                                namespace => 'WebGUI',
                        },
		],
		related => [
			{
				tag => 'groups default',
				namespace => 'WebGUI'
			}
		],
	},
	'group email' => {
		title => 'group email title',
		body => 'group email body',
		fields => [
                        {
                                title => '811',
                                description => '811 description',
                                namespace => 'WebGUI',
                        },
                        {
                                title => '229',
                                description => '229 description',
                                namespace => 'WebGUI',
                        },
                        {
                                title => '230',
                                description => '230 description',
                                namespace => 'WebGUI',
                        },
		],
		related => [
		],
	},
	'group add/edit' => {
		title => '667',
		body => '622',
		fields => [
                        {
                                title => '84',
                                description => '84 description',
                                namespace => 'WebGUI',
                        },
                        {
                                title => '85',
                                description => '85 description',
                                namespace => 'WebGUI',
                        },
                        {
                                title => '367',
                                description => '367 description',
                                namespace => 'WebGUI',
                        },
                        {
                                title => '865',
                                description => '865 description',
                                namespace => 'WebGUI',
                        },
                        {
                                title => '864',
                                description => '864 description',
                                namespace => 'WebGUI',
                        },
                        {
                                title => '866',
                                description => '866 description',
                                namespace => 'WebGUI',
                        },
                        {
                                title => '863',
                                description => '863 description',
                                namespace => 'WebGUI',
                        },
                        {
                                title => '538',
                                description => '538 description',
                                namespace => 'WebGUI',
                        },
                        {
                                title => '857',
                                description => '857 description',
                                namespace => 'WebGUI',
                        },
                        {
                                title => '945',
                                description => '945 description',
                                namespace => 'WebGUI',
                        },
                        {
                                title => '974',
                                description => '974 description',
                                namespace => 'WebGUI',
                        },
                        {
                                title => '975',
                                description => '975 description',
                                namespace => 'WebGUI',
                        },
                        {
                                title => '1075',
                                description => '1075 description',
                                namespace => 'WebGUI',
                        },
                        {
                                title => '1005',
                                description => '1005 description',
                                namespace => 'WebGUI',
                        },
                        {
                                title => 'LDAPLink_ldapGroup',
                                description => 'LDAPLink_ldapGroup description',
                                namespace => 'AuthLDAP',
                        },
                        {
                                title => 'LDAPLink_ldapGroupProperty',
                                description => 'LDAPLink_ldapGroupProperty description',
                                namespace => 'AuthLDAP',
                        },
                        {
                                title => 'LDAPLink_ldapRecursiveProperty',
                                description => 'LDAPLink_ldapRecursiveProperty description',
                                namespace => 'AuthLDAP',
                        },
                        {
                                title => 'LDAPLink_ldapRecursiveFilter',
                                description => 'LDAPLink_ldapRecursiveFilterDescription',
                                namespace => 'AuthLDAP',
                        },
                        {
                                title => '1004',
                                description => '1004 description',
                                namespace => 'WebGUI',
                        },
		],
		related => [
			{
				tag => 'groups manage',
				namespace => 'WebGUI'
			},
			{
				tag => 'group email',
				namespace => 'WebGUI'
			},
			{
				tag => 'database links manage',
				namespace => 'WebGUI'
			},
		]
	},
	'group delete' => {
		title => '665',
		body => '620',
		fields => [
		],
		related => [
			{
				tag => 'groups manage',
				namespace => 'WebGUI'
			}
		]
	},
	'settings' => {
		title => 'settings',
		body => 'settings help',
		fields => [
                        {
                                title => '125',
                                description => '125 description',
                                namespace => 'WebGUI',
                        },
                        {
                                title => '126',
                                description => '126 description',
                                namespace => 'WebGUI',
                        },
                        {
                                title => '127',
                                description => '127 description',
                                namespace => 'WebGUI',
                        },
                        {
                                title => '527',
                                description => '527 description',
                                namespace => 'WebGUI',
                        },
                        {
                                title => '141',
                                description => '141 description',
                                namespace => 'WebGUI',
                        },
                        {
                                title => 'url extension',
                                description => 'url extension description',
                                namespace => 'WebGUI',
                        },
                        {
                                title => '130',
                                description => '130 description',
                                namespace => 'WebGUI',
                        },
                        {
                                title => '583',
                                description => '583 description',
                                namespace => 'WebGUI',
                        },
                        {
                                title => '406',
                                description => '406 description',
                                namespace => 'WebGUI',
                        },
                        {
                                title => 'Enable Metadata',
                                description => 'Enable Metadata description',
                                namespace => 'WebGUI',
                        },
                        {
                                title => 'default rich editor',
                                description => 'default rich editor description',
                                namespace => 'WebGUI',
                        },
                        {
                                title => '465',
                                description => '465 description',
                                namespace => 'WebGUI',
                        },
                        {
                                title => 'user function style',
                                description => 'user function style description',
                                namespace => 'WebGUI',
                        },
                        {
                                title => 'admin console template',
                                description => 'admin console template description',
                                namespace => 'WebGUI',
                        },
                        {
                                title => '135',
                                description => '135 description',
                                namespace => 'WebGUI',
                        },
                        {
                                title => '824',
                                description => '824 description',
                                namespace => 'WebGUI',
                        },
                        {
                                title => '400',
                                description => '400 description',
                                namespace => 'WebGUI',
                        },
                        {
                                title => 'debug ip',
                                description => 'debug ip description',
                                namespace => 'WebGUI',
                        },
                        {
                                title => 'show performance indicators',
                                description => 'show performance indicators description',
                                namespace => 'WebGUI',
                        },
                        {
                                title => '707',
                                description => '707 description',
                                namespace => 'WebGUI',
                        },
                        {
                                title => '1069',
                                description => '1069 description',
                                namespace => 'WebGUI',
                        },
                        {
                                title => '118',
                                description => '118 description',
                                namespace => 'WebGUI',
                        },
                        {
                                title => '559',
                                description => '559 description',
                                namespace => 'WebGUI',
                        },
                        {
                                title => '539',
                                description => '539 description',
                                namespace => 'WebGUI',
                        },
                        {
                                title => '540',
                                description => '540 description',
                                namespace => 'WebGUI',
                        },
                        {
                                title => '142',
                                description => '142 description',
                                namespace => 'WebGUI',
                        },
                        {
                                title => '885',
                                description => '885 description',
                                namespace => 'WebGUI',
                        },
                        {
                                title => '1006',
                                description => '1006 description',
                                namespace => 'WebGUI',
                        },
                        {
                                title => 'Enable passive profiling',
                                description => 'Enable passive profiling description',
                                namespace => 'WebGUI',
                        },
                        {
                                title => '164',
                                description => '164 description',
                                namespace => 'WebGUI',
                        },
		],
		related => []
	},
	'groups default' => {
		title => 'groups default title',
		body => 'groups default body',
		fields => [
		],
		related => [
			{
				tag => 'groups manage',
				namespace => 'WebGUI'
			}
		]
	},
	'groups manage' => {
		title => '660',
		body => '615',
		fields => [
		],
		related => [
			{
				tag => 'groups default',
				namespace => 'WebGUI'
			},
			{
				tag => 'group add/edit',
				namespace => 'WebGUI'
			},
			{
				tag => 'group delete',
				namespace => 'WebGUI'
			},
			{
				tag => 'users manage',
				namespace => 'WebGUI'
			}
		]
	},
	'manage users in group' => {
		title => 'manage users in group title',
		body => 'manage users in group body',
		fields => [
		],
		related => [
		]
	},
	'manage groups in group' => {
		title => '813',
		body => 'manage groups in group body',
		fields => [
		],
		related => [
		]
	},
	'users manage' => {
		title => '658',
		body => '613',
		fields => [
		],
		related => [
			{
				tag => 'groups manage',
				namespace => 'WebGUI'
			},
			{
				tag => 'user profile edit',
				namespace => 'WebGUIProfile'
			},
			{
				tag => 'user add/edit',
				namespace => 'WebGUI'
			},
			{
				tag => 'user delete',
				namespace => 'WebGUI'
			}
		]
	},
	'user delete' => {
		title => '657',
		body => '612',
		fields => [
		],
		related => [
			{
				tag => 'users manage',
				namespace => 'WebGUI'
			}
		]
	},
	'user add/edit' => {
		title => '655',
		body => '610',
		fields => [
		],
		related => [
			{
				tag => 'users manage',
				namespace => 'WebGUI'
			}
		]
	},
	'page delete' => {
		title => '653',
		body => '608',
		fields => [
		],
		related => [
		]
	},

	'trash manage' => {
		title => '960',
		body => '961',
		fields => [
		],
		related => [
		]
	},
	'clipboard manage' => {
		title => '957',
		body => '958',
		fields => [
		],
		related => [
			{
				tag => 'clipboard empty',
				namespace => 'WebGUI'
			}
		]
	},
	'karma using' => {
		title => '697',
		body => '698',
		fields => [
		],
		related => [
			{
				tag => 'article add/edit',
				namespace => 'Asset_Article'
			},
			{
				tag => 'group add/edit',
				namespace => 'WebGUI'
			},
			{
				tag => 'message board add/edit',
				namespace => 'Asset_MessageBoard'
			},
			{
				tag => 'poll add/edit',
				namespace => 'Asset_Poll'
			},
			{
				tag => 'settings',
				namespace => 'WebGUI'
			},
		]
	},
	'edit user karma' => {
		title => '558',
		body => 'edit user karma body',
		fields => [
                        {
                                title => '556',
                                description => '556 description',
                                namespace => 'WebGUI',
                        },
                        {
                                title => '557',
                                description => '557 description',
                                namespace => 'WebGUI',
                        },
		],
		related => [
			{
				tag => 'article add/edit',
				namespace => 'Asset_Article'
			},
			{
				tag => 'group add/edit',
				namespace => 'WebGUI'
			},
			{
				tag => 'message board add/edit',
				namespace => 'Asset_MessageBoard'
			},
			{
				tag => 'poll add/edit',
				namespace => 'Asset_Poll'
			},
			{
				tag => 'settings',
				namespace => 'WebGUI'
			},
		]
	},
	'clipboard empty' => {
		title => '968',
		body => '969',
		fields => [
		],
		related => [
			{
				tag => 'clipboard manage',
				namespace => 'WebGUI'
			}
		]
	},
	'database links manage' => {
		title => '997',
		body => '1000',
		fields => [
		],
		related => [
			{
				tag => 'database link add/edit',
				namespace => 'WebGUI'
			},
			{
				tag => 'database link delete',
				namespace => 'WebGUI'
			},
			{
				tag => 'sql report add/edit',
				namespace => 'Asset_SQLReport'
			}
		]
	},
	'database link add/edit' => {
		title => '998',
		body => '1001',
		fields => [
                        {
                                title => '992',
                                description => '992 description',
                                namespace => 'WebGUI',
                        },
                        {
                                title => '993',
                                description => '993 description',
                                namespace => 'WebGUI',
                        },
                        {
                                title => '994',
                                description => '994 description',
                                namespace => 'WebGUI',
                        },
                        {
                                title => '995',
                                description => '995 description',
                                namespace => 'WebGUI',
                        },
			{
				title => 'allowed keywords',
				description => 'allowed keywords description',
				namespace => 'WebGUI',
			},
		],
		related => [
			{
				tag => 'database links manage',
				namespace => 'WebGUI'
			},
			{
				tag => 'database link delete',
				namespace => 'WebGUI'
			},
			{
				tag => 'sql report add/edit',
				namespace => 'Asset_SQLReport'
			}
		]
	},
	'database link delete' => {
		title => '999',
		body => '1002',
		fields => [
		],
		related => [
			{
				tag => 'database links manage',
				namespace => 'WebGUI'
			},
			{
				tag => 'database link add/edit',
				namespace => 'WebGUI'
			},
			{
				tag => 'sql report add/edit',
				namespace => 'Asset_SQLReport'
			}
		]
	},
	'pagination template variables' => {
		title => '1085',
		body => '1086',
		variables => [
		          {
		            'name' => 'pagination.firstPage'
		          },
		          {
		            'name' => 'pagination.firstPageUrl'
		          },
		          {
		            'name' => 'pagination.firstPageText'
		          },
		          {
		            'name' => 'pagination.isFirstPage'
		          },
		          {
		            'name' => 'pagination.lastPage'
		          },
		          {
		            'name' => 'pagination.lastPageUrl'
		          },
		          {
		            'name' => 'pagination.lastPageText'
		          },
		          {
		            'name' => 'pagination.isLastPage'
		          },
		          {
		            'name' => 'pagination.nextPage'
		          },
		          {
		            'name' => 'pagination.nextPageUrl'
		          },
		          {
		            'name' => 'pagination.nextPageText'
		          },
		          {
		            'name' => 'pagination.previousPage'
		          },
		          {
		            'name' => 'pagination.previousPageUrl'
		          },
		          {
		            'name' => 'pagination.previousPageText'
		          },
		          {
		            'name' => 'pagination.pageNumber'
		          },
		          {
		            'name' => 'pagination.pageCount'
		          },
		          {
		            'name' => 'pagination.pageCount.isMultiple'
		          },
		          {
		            'name' => 'pagination.pageList',
		          },
		          {
		            'name' => 'pagination.pageLoop',
		            'variables' => [
		                             {
		                               'name' => 'pagination.url'
		                             },
		                             {
		                               'name' => 'pagination.text'
		                             }
		                           ]
		          },
		          {
		            'name' => 'pagination.pageList.upTo20'
		          },
		          {
		            'name' => 'pagination.pageLoop.upTo20',
		            'variables' => [
		                             {
		                               'name' => 'pagination.url'
		                             },
		                             {
		                               'name' => 'pagination.text'
		                             }
		                           ]
		          },
		          {
		            'name' => 'pagination.pageList.upTo10'
		          },
		          {
		            'name' => 'pagination.pageLoop.upTo10',
		            'variables' => [
		                             {
		                               'name' => 'pagination.url'
		                             },
		                             {
		                               'name' => 'pagination.text'
		                             }
		                           ]
		          }
		],
	fields => [
		],
		related => [
			{
				tag => 'wobject template',
				namespace => 'Asset_Wobject'
			}
		]
	},
	'glossary' => {
                title => 'glossary title',
                body => 'glossary body',
		fields => [
		],
                related => [
                ],
	},
	'webgui tips' => {
                title => 'webgui tips title',
                body => 'webgui tips body',
		fields => [
		],
                related => [
                ],
	},
};

1;
