package WebGUI::i18n::English::Asset_Matrix;

our $I18N = {
	'delete field confirm' => {
		message => q|Are you certain you wish to delete this field and all the data linked to it?|,
		lastUpdated => 0,
		context => q|displayed in field manager before delete|
		},

	'screenshot' => {
		message => q|Screenshot/Photo|,
		lastUpdated => 0,
		context => q|edit listing property|
		},

	'screenshot help' => {
		message => q|Upload a picture of the product, or a screen shot if it's a software package.|,
		lastUpdated => 0,
		context => q|edit listing property help|
		},

	'visitor cache timeout' => {
		message => q|Visitor Cache Timeout|,
		lastUpdated => 0
		},

	'visitor cache timeout help' => {
		message => q|Since all visitors will see this asset the same way, we can cache it to increase performance. How long should we cache it?|,
		lastUpdated => 0
		},

	'isTooMany' => {
		message => q|A condition indicating that the user has selected too many listings to compare. They may only compare Max Comparisons listings at a time.|,
		lastUpdated => 1149783768,
	},

	'isTooFew' => {
		message => q|A condition indicating that the user has selected too few listings to compare. They must compare at least two listings.|,
		lastUpdated => 1149783768,
	},

	'compare.form' => {
		message => q|The checkbox form that contains all the listings in this matrix.|,
		lastUpdated => 1149783768,
	},

	'product_loop' => {
		message => q|A loop containing the product information (not contained in categories) for this listing.|,
		lastUpdated => 1149783768,
	},

	'name' => {
		message => q|The name of the product.|,
		lastUpdated => 1149783768,
	},

	'version' => {
		message => q|The version number or model number of the product.|,
		lastUpdated => 1149783768,
	},

	'details url' => {
		message => q|The URL to the details page for this listing.|,
		lastUpdated => 1149783768,
	},

	'lastupdated_loop' => {
		message => q|A loop containing the last updated dates for each listing.|,
		lastUpdated => 1149783768,
	},

	'lastUpdated' => {
		message => q|The human readable date that this product was last updated.|,
		lastUpdated => 1149783768,
	},

	'category_loop' => {
		message => q|A loop containing all of the category information for each listing.|,
		lastUpdated => 1149783768,
	},

	'tmplVar category' => {
		message => q|The name of the current category.|,
		lastUpdated => 1149783768,
	},

	'columnCount' => {
		message => q|The number of products being compared.|,
		lastUpdated => 1149783768,
	},

	'row_loop' => {
		message => q|A loop containing the product data for this field in this category. |,
		lastUpdated => 1149783768,
	},

	'column_loop' => {
		message => q|A loop containing the value data for this field for this product. The first value in this loop is always the field name.|,
		lastUpdated => 1149783768,
	},

	'value' => {
		message => q|The value of this field.|,
		lastUpdated => 1149783768,
	},

	'class' => {
		message => q|The name of the stylesheet class for this field. it is generated by the value with all the spaces replaced by underscores and all the special characters removed.|,
		lastUpdated => 1149783768,
	},

	'tmplVar field.description' => {
		message => q|The description for this field.|,
		lastUpdated => 1149783768,
	},

        'comparison template help body' => {
                lastUpdated => 0,
                message => q| <p>The following template variables are available in the comparison template.</p>
|
        },

        'comparison template help title' => {
                lastUpdated => 0,
                message => q|Matrix Comparison Template|
        },

	'discussion' => {
		message => q|The forum attached to this listing.|,
		lastUpdated => 1149784175,
	},

	'tmplVar screenshot' => {
		message => q|The URL to the uploaded photo or screenshot.|,
		lastUpdated => 1149784175,
	},

	'thumbnail' => {
		message => q|The URL to the thumbnail of the uploaded photo or screenshot|,
		lastUpdated => 1149784175,
	},

	'email.form' => {
		message => q|A form to use to send an email to the listing maintainer.|,
		lastUpdated => 1149784175,
	},

	'email.wasSent' => {
		message => q|A condition indicating whether or not an email message was sent.|,
		lastUpdated => 1165518551,
	},

	'edit.url' => {
		message => q|The URL to the edit page for this listing.|,
		lastUpdated => 1149784175,
	},

	'user.canEdit' => {
		message => q|A condition indicating whether the current user has the privileges necessary to edit this listing.|,
		lastUpdated => 1149784175,
	},

	'user.canApprove' => {
		message => q|A condition indicating whether the current user has the privileges necessary to approve this listing so it appears on site.|,
		lastUpdated => 1149784175,
	},

	'approve.url' => {
		message => q|The URL to approve this listing.|,
		lastUpdated => 1149784175,
	},

	'delete.url' => {
		message => q|The URL to delete this listing.|,
		lastUpdated => 1149784175,
	},

	'isPending' => {
		message => q|A conditional indicating whether or not this listing has been approved or not.|,
		lastUpdated => 1167186037,
	},

	'lastUpdated.epoch' => {
		message => q|The epoch date of when this listing was last updated.|,
		lastUpdated => 1149784175,
	},

	'lastUpdated.date' => {
		message => q|A human readable date of when this listing was last updated.|,
		lastUpdated => 1149784175,
	},

	'id' => {
		message => q|The unique identifier of this listing.|,
		lastUpdated => 1149784175,
	},

	'listing description' => {
		message => q|The description of this listing.|,
		lastUpdated => 1149784175,
	},

	'productName' => {
		message => q|The name of this listing.|,
		lastUpdated => 1149784175,
	},

	'productUrl' => {
		message => q|The manufacturer's URL for this listing.|,
		lastUpdated => 1149784175,
	},

	'productUrl.click' => {
		message => q|The product URL to use if you want to register the click count for this listing.|,
		lastUpdated => 1149784175,
	},

	'manufacturerName' => {
		message => q|The name of the company that manufactures the product or provides the service represented in this listing.|,
		lastUpdated => 1167186054,
	},

	'manufacturerUrl' => {
		message => q|The manufacturer's URL.|,
		lastUpdated => 1149784175,
	},

	'manufacturerUrl.click' => {
		message => q|The manufacturer URL to use if you want to register the click count for this listing.|,
		lastUpdated => 1149784175,
	},

	'versionNumber' => {
		message => q|The version number or model number of this product.|,
		lastUpdated => 1149784175,
	},

	'views' => {
		message => q|The total number of views this listing has received.|,
		lastUpdated => 1149784175,
	},

	'compares' => {
		message => q|The total number of compares this listing has received.|,
		lastUpdated => 1149784175,
	},

	'clicks' => {
		message => q|The total number of clicks this listing has received.|,
		lastUpdated => 1149784175,
	},

	'ratings' => {
		message => q|The ratings form (or results) for this listing.|,
		lastUpdated => 1149784175,
	},

	'CATEGORY_NAME_loop' => {
		message => q|A loop is created for each category in this matrix. The name of the loop is the category name with spaces replaced with hyphens and a _loop added to the end. So if you have a category called "Bells and Whistles" then the loop would be called "bells-and-whistles_loop".|,
		lastUpdated => 1167186070,
	},

	'tmplVar name' => {
		message => q|The name of this field.|,
		lastUpdated => 1149784175,
	},

	'label' => {
		message => q|The label of this field.|,
		lastUpdated => 1149784175,
	},

	'category listing description' => {
		message => q|The description that tells the user what this field represents.|,
		lastUpdated => 1149784175,
	},

	'tmplVar category' => {
		message => q|The name of the category this field is in.|,
		lastUpdated => 1149784175,
	},

	'tmplVar class' => {
		message => q|The stylesheet class name for this field. The class is the field value with spaces replaced with underscores and all non alphanumeric characters removed.|,
		lastUpdated => 1149784175,
	},

        'detail template help body' => {
                lastUpdated => 1149795166,
                message => q|<p>The following variables are available in the listing detail template.</p>
|
        },

        'detail template help title' => {
                lastUpdated => 0,
                message => q|Matrix Listing Detail Template|
        },

	'search.url' => {
		message => q|The URL to the matrix search page.|,
		lastUpdated => 1149795214,
	},

	'isLoggedIn' => {
		message => q|A condition indicating whether the current user is logged in to the site.|,
		lastUpdated => 1149795214,
	},

	'field.list.url' => {
		message => q|The URL to the page where you configure new fields for this matrix.|,
		lastUpdated => 1149795214,
	},

	'listing.add.url' => {
		message => q|The URL to the page where a user can add a new listing to the matrix.|,
		lastUpdated => 1149795214,
	},

	'best.views.url' => {
		message => q|The URL to the listing that has the most views.|,
		lastUpdated => 1149795214,
	},

	'best.views.count' => {
		message => q|The total number of views of the listing that has the most views.|,
		lastUpdated => 1149795214,
	},

	'best.views.name' => {
		message => q|The name of the listing that has the most views.|,
		lastUpdated => 1149795214,
	},

	'best.compares.url' => {
		message => q|The URL to the listing that has the most compares.|,
		lastUpdated => 1149795214,
	},

	'best.compares.count' => {
		message => q|The number of compares of the listing that has the most compares.|,
		lastUpdated => 1149795214,
	},

	'best.compares.name' => {
		message => q|The name of the listing that has the most compares.|,
		lastUpdated => 1149795214,
	},

	'best.clicks.url' => {
		message => q|The URL of the listing that has the most clicks.|,
		lastUpdated => 1149795214,
	},

	'best.clicks.count' => {
		message => q|The number of clicks of the listing that has the most clicks.|,
		lastUpdated => 1149795214,
	},

	'best.clicks.name' => {
		message => q|The name of the listing that has the most clicks.|,
		lastUpdated => 1149795214,
	},

	'best_rating_loop' => {
		message => q|A loop containing all of the categories for this matrix and their best ratings.|,
		lastUpdated => 1149795214,
	},

	'tmplVar best.url' => {
		message => q|The URL of the listing that has the best rating for this category.|,
		lastUpdated => 1149795214,
	},

	'tmplVar best.category' => {
		message => q|The name of this category.|,
		lastUpdated => 1167186103,
	},

	'tmplVar best.name' => {
		message => q|The name of the listing that has the best rating for this category.|,
		lastUpdated => 1149795214,
	},

	'mean' => {
		message => q|The mean (or average) rating of the best listing in this category.|,
		lastUpdated => 1149795214,
	},

	'median' => {
		message => q|The median (or middle) rating of the best listing in this category.|,
		lastUpdated => 1149795214,
	},

	'count' => {
		message => q|The sum of all the votes of the best listing in this category.|,
		lastUpdated => 1149795214,
	},

	'worst_rating_loop' => {
		message => q|A loop containing all of the categories for this matrix and their worst ratings.|,
		lastUpdated => 1149795214,
	},

	'tmplVar worst.url' => {
		message => q|The URL of the listing that has the worst rating for this category.|,
		lastUpdated => 1149795214,
	},

	'tmplVar worst.category' => {
		message => q|The name of this category.|,
		lastUpdated => 1149795214,
	},

	'tmplVar worst.name' => {
		message => q|The name of the listing that has the worst rating for this category.|,
		lastUpdated => 1149795214,
	},

	'tmplVar worst.mean' => {
		message => q|The mean (or average) rating of the worst listing in this category.|,
		lastUpdated => 1149795214,
	},

	'tmplVar worst.median' => {
		message => q|The median (or middle) rating of the worst listing in this category.|,
		lastUpdated => 1149795214,
	},

	'tmplVar worst.count' => {
		message => q|The sum of all the votes of the worst listing in this category.|,
		lastUpdated => 1149795214,
	},

	'ratings.details.url' => {
		message => q|The URL to the ratings details page.|,
		lastUpdated => 1149795214,
	},

	'best.posts.url' => {
		message => q|The URL to the listing that has the most forum posts.|,
		lastUpdated => 1149795214,
	},

	'best.updated.url' => {
		message => q|The URL to the listing that was updated most recently.|,
		lastUpdated => 1149795214,
	},

	'best.updated.date' => {
		message => q|The date of the most recently updated listing.|,
		lastUpdated => 1149795214,
	},

	'best.updated.name' => {
		message => q|The name of the listing that was most recently updated.|,
		lastUpdated => 1149795214,
	},

	'last_update_loop' => {
		message => q|A loop containing the 20 most recently updated listings.|,
		lastUpdated => 1149795214,
	},

	'tmplVar last.url' => {
		message => q|The URL to view this listing.|,
		lastUpdated => 1149795214,
	},

	'tmplVar last.name' => {
		message => q|The name of the product.|,
		lastUpdated => 1149795214,
	},

	'tmplVar last.lastUpdated' => {
		message => q|The date this listing was updated.|,
		lastUpdated => 1149795214,
	},

	'user.count' => {
		message => q|The total number of registered users on the site.|,
		lastUpdated => 1149795214,
	},

	'current.user.count' => {
		message => q|The number of users browsing the site right now.|,
		lastUpdated => 1149795214,
	},

	'listing.count' => {
		message => q|The number of listings in this matrix.|,
		lastUpdated => 1149795214,
	},

	'pending_list' => {
		message => q|A loop containing the list of pending listing.|,
		lastUpdated => 1149795214,
	},

	'tmplVar pending.url' => {
		message => q|The URL to the pending listing.|,
		lastUpdated => 1149795214,
	},

	'tmplVar pending.productName' => {
		message => q|The product title of the pending listing.|,
		lastUpdated => 1149795214,
	},

        'matrix template help body' => {
                lastUpdated => 1149795645,
                message => q|<p>The following variables are available in the main Matrix template.</p>|
        },

        'matrix template help title' => {
                lastUpdated => 0,
                message => q|Matrix Main Template|
        },

        'ratings detail template help title' => {
                lastUpdated => 0,
                message => q|Matrix Ratings Detail Template|
        },

	'rating_loop' => {
		message => q|This loop contains a list of the categories in this matrix.|,
		lastUpdated => 1149996259,
	},

	'detail_loop' => {
		message => q|A loop containing a list of listings who have had at least 10 ratings votes and are listed in order by average rating from highest to lowest.|,
		lastUpdated => 1149996259,
	},

	'tmplVar detail url' => {
		message => q|The URL to the detail page for this listing.|,
		lastUpdated => 1149996259,
	},

	'detail mean' => {
		message => q|This listing's mean (or average) rating.|,
		lastUpdated => 1149996259,
	},

	'detail median' => {
		message => q|This listing's median (or middle) rating.|,
		lastUpdated => 1149996259,
	},

	'detail count' => {
		message => q|The total score for this listing.|,
		lastUpdated => 1149996259,
	},

	'listing name' => {
		message => q|The name of this listing.|,
		lastUpdated => 1149996259,
	},

        'ratings detail template help body' => {
                lastUpdated => 1149997187,
                message => q|<p>The following variables are available in the ratings detail template.</p>
|
        },

	'form.header' => {
		message => q|The required header component of the search form.|,
		lastUpdated => 1149996685,
	},

	'form.footer' => {
		message => q|The required footer component of the search form.|,
		lastUpdated => 1149996685,
	},

	'form.submit' => {
		message => q|The required button to submit data for the search form.|,
		lastUpdated => 1149996685,
	},

	'fieldType' => {
		message => q|The type of field specified for this matrix field.|,
		lastUpdated => 1149996685,
	},

	'listing label' => {
		message => q|The label given to this field that describes what the field represents.|,
		lastUpdated => 1149996685,
	},

	'search field description' => {
		message => q|A description of the field that gives more detail about the field and is used in the hover over tool tips.|,
		lastUpdated => 1149996685,
	},

	'form' => {
		message => q|The form element representing this field.|,
		lastUpdated => 1149996685,
	},

        'search template help body' => {
                lastUpdated => 1149997201,
                message => q|<p>The following variables are available in the matrix search template.</p>
|
        },

        'search template help title' => {
                lastUpdated => 0,
                message => q|Matrix Search Template|
        },

        'add/edit help title' => {
                lastUpdated => 0,
                message => q|Matrix, Add/Edit|
        },

        'add/edit help body' => {
                lastUpdated => 1135271513,
                message => q|<p>The Matrix allows you to set up a really powerful comparison system for any manner of item or service.</p>
|
        },

	'categories description' => {
                message => q|Specify one category per line here to define the categories for this matrix. Categories are used to subdivide fields and also represent the things users can rate each listing on.|,
                lastUpdated => 1136503559,
        },

	'categories subtext' => {
                message => q|<br />Enter one per line in the order you want them to appear. Be sure to watch leading and trailing whitespace.|,
                lastUpdated => 1135271460,
        },

        'max comparisons description' => {
                message => q|Specifies how many comparisons are allowed in searches and comparisons.|,
                lastUpdated => 1135271460,
        },

        'max comparisons privileged description' => {
                message => q|Specifies how many comparisons are allowed in searches and comparisons for users in the privileged group.|,
                lastUpdated => 1135271460,
        },

        'rating timeout description' => {
                message => q|Set a timeout so that users are prevented from rating a given listing too often.|,
                lastUpdated => 1135271460,
        },

        'rating timeout privileged description' => {
                message => q|Privileged users may have a different rating timeout than general users who are allowed to rate.|,
                lastUpdated => 1135271460,
        },

        'group to add description' => {
                message => q|This group will be allowed to add or edit listings|,
                lastUpdated => 1135271460,
        },

        'privileged group description' => {
                message => q|This group will have special privileges with respect to the maximum number of comparisons allowed and frequency of rating|,
                lastUpdated => 1135271460,
        },

        'rating group description' => {
                message => q|This group will be allowed to rate listings in the Matrix.|,
                lastUpdated => 1135271460,
        },

        'main template description' => {
                message => q|Select a template to be used to display the default view of the Matrix.|,
                lastUpdated => 1135271460,
        },

        'detail template description' => {
                message => q|Select a template to be used to display the detailed information about a listing.|,
                lastUpdated => 1135271460,
        },

        'rating detail template description' => {
                message => q|Select a template to be used to display the detailed ratings information.|,
                lastUpdated => 1135271460,
        },

        'search template description' => {
                message => q|Select a template to be used to display the search engine interface.|,
                lastUpdated => 1135271460,
        },

        'compare template description' => {
                message => q|Select a template to be used to show the listing comparison data.|,
                lastUpdated => 1135271460,
        },
	'categories' => {
		message => q|Categories|,
		lastUpdated => 1133758944,
	},

	'max comparisons' => {
		message => q|Maximum Comparisons|,
		lastUpdated => 1133758944,
	},

	'max comparisons privileged' => {
		message => q|Maximum Comparisons (For Privileged Users)|,
		lastUpdated => 1133758944,
	},

	'rating timeout' => {
		message => q|Time Required Between Ratings|,
		lastUpdated => 1133758944,
	},

	'rating timeout privileged' => {
		message => q|Time Required Between Ratings (For Privileged Users)|,
		lastUpdated => 1133758944,
	},

	'group to add' => {
		message => q|Who can add listings?|,
		lastUpdated => 1133758944,
	},

	'privileged group' => {
		message => q|Who should have privileged rights?|,
		lastUpdated => 1133758944,
	},

	'rating group' => {
		message => q|Who can rate listings?|,
		lastUpdated => 1133758944,
	},

	'main template' => {
		message => q|Main Template|,
		lastUpdated => 1133758944,
	},

	'detail template' => {
		message => q|Detail Template|,
		lastUpdated => 1133758944,
	},

	'rating detail template' => {
		message => q|Rating Detail Template|,
		lastUpdated => 1133758944,
	},

	'search template' => {
		message => q|Search Template|,
		lastUpdated => 1133758944,
	},

	'compare template' => {
		message => q|Compare Template|,
		lastUpdated => 1133758944,
	},

	'product name' => {
		message => q|Product Name|,
		lastUpdated => 1133758944,
	},

	'version number' => {
		message => q|Version/Model Number|,
		lastUpdated => 1133758944,
	},

	'product url' => {
		message => q|Product URL|,
		lastUpdated => 1135279964,
	},

	'manufacturer name' => {
		message => q|Manufacturer Name|,
		lastUpdated => 1133758944,
	},

	'manufacturer url' => {
		message => q|Manufacturer URL|,
		lastUpdated => 1133758944,
	},

	'description' => {
		message => q|Description|,
		lastUpdated => 1133758944,
	},

	'listing maintainer' => {
		message => q|Listing Maintainer|,
		lastUpdated => 1133758944,
	},

	'field name' => {
		message => q|Field Name|,
		lastUpdated => 1136499280,
	},

	'field label' => {
		message => q|Field Label|,
		lastUpdated => 1136499282,
	},

	'field type' => {
		message => q|Field Type|,
		lastUpdated => 1136499283,
	},

	'default value' => {
		message => q|Default Value|,
		lastUpdated => 1133758944,
	},

	'category' => {
		message => q|Category|,
		lastUpdated => 1133758944,
	},

	'your email' => {
		message => q|Your Email Address|,
		lastUpdated => 1133758944,
	},

	'report error' => {
		message => q|Report an error.|,
		lastUpdated => 1133758944,
	},

	'general comment' => {
		message => q|General comment.|,
		lastUpdated => 1133758944,
	},

	'request type' => {
		message => q|Type of Request|,
		lastUpdated => 1133758944,
	},

	'comment' => {
		message => q|Comment|,
		lastUpdated => 1133758944,
	},

	'show ratings' => {
		message => q|Show Ratings|,
		lastUpdated => 1133758944,
	},

	'no copy' => {
		message => q|This asset may not be copied.|,
		lastUpdated => 1133758944,
	},

	'no edit rights' => {
		message => q|You don't have the rights to edit this listing.|,
		lastUpdated => 1133758944,
	},

        'assetName' => {
                lastUpdated => 1134256651,
                message => q|Matrix|
        },

        'edit matrix' => {
                lastUpdated => 1135279558,
                message => q|Edit Matrix|
        },

        'edit listing' => {
                lastUpdated => 1135279558,
                message => q|<h1>Edit Listing</h1>|
        },

        'edit field' => {
                lastUpdated => 1135279558,
                message => q|<h1>Edit Field</h1>|
        },

        'good bad' => {
                lastUpdated => 1135279558,
                message => q|Good Bad|
        },

        'text' => {
                lastUpdated => 1135279558,
                message => q|Text|
        },

        'url' => {
                lastUpdated => 1135279558,
                message => q|URL|
        },

        'text area' => {
                lastUpdated => 1135279558,
                message => q|Text Area|,
        },

        'combo' => {
                lastUpdated => 1135279558,
                message => q|Combo|,
        },

        'delete listing confirmation' => {
                lastUpdated => 1135289632,
                message => q|<h1>Confirm Delete</h1>
	<p>Are you absolutely sure you wish to delete this listing? This operation cannot be undone.</p>
	<p>
	<a href="%s">Yes!</a>
	</p>
	<p><a href="%s">No, I made a mistake.</a></p>|,
        },

        'list fields' => {
                lastUpdated => 1135289632,
                message => q|<h1>Field List</h1>
		<a href="%s">Add new field.</a>
		<p />|,
        },

        'yes' => {
                lastUpdated => 1135279558,
                message => q|Yes|
        },

        'no' => {
                lastUpdated => 1135279558,
                message => q|No|
        },

        'free' => {
                lastUpdated => 1135279558,
                message => q|Free Add On|
        },

        'extra' => {
                lastUpdated => 1135279558,
                message => q|Costs Extra|
        },

        'limited' => {
                lastUpdated => 1135279558,
                message => q|Limited|
        },

        'listing add/edit help title' => {
                lastUpdated => 1136488382,
                message => q|Matrix Listing, Add/Edit|
        },

        'listing add/edit help body' => {
                lastUpdated => 1135279558,
                message => q|In this form, you may add a listing in the Matrix for a new product or edit the listing for an existing product.|
        },

        'product name description' => {
                lastUpdated => 1135279558,
                message => q|Enter the name of the product.  If there are entries for the product with different revisions, it would be best to make sure the names are the same.|
        },

        'version number description' => {
                lastUpdated => 1135279558,
                message => q|Enter the release or version number for the product.|
        },

        'product url description' => {
                lastUpdated => 1135279558,
                message => q|If the product has its own website, enter the complete URL for it here.|
        },

        'manufacturer name description' => {
                lastUpdated => 1135279558,
                message => q|Enter the manufacturer of the product.|
        },

        'manufacturer url description' => {
                lastUpdated => 1135279558,
                message => q|If the manufacturer has a website, enter the complete URL for it here.|
        },

        'description description' => {
                lastUpdated => 1135279558,
                message => q|Please give a general description of the product.  Specific details can be rated in the form fields below.|
        },

        'listing maintainer description' => {
                lastUpdated => 1136488950,
                message => q|If left blank, this will be the name of the user who created this product listing.  The
		listing maintainer is allowed to edit this listing, even if they are not members of the group
		to add or edit listings.|
        },

        'matrix specific fields description' => {
                lastUpdated => 1135279558,
                message => q|Each matrix is configured to compare the features and performance of various products.  These features and performance criteria are displayed for you to rate on an item by item basis.|
        },

        'matrix specific fields' => {
                lastUpdated => 1135279558,
                message => q|Matrix Specific Fields|
        },

        'field add/edit help title' => {
                lastUpdated => 1136488382,
                message => q|Matrix Field, Add/Edit|
        },

        'field add/edit help body' => {
                lastUpdated => 1135279558,
                message => q|In this form, you may add a field to the Matrix.  This will define a new feature or performance criterion that will be used to rate all products in the Matrix.  This is very similar to adding fields to a DataForm Asset.|
        },

        'field name description' => {
                lastUpdated => 1135279558,
                message => q|The name of the field that you are creating.  It is case sensitive and must be unique.|
        },

        'field label description' => {
                lastUpdated => 1135279558,
                message => q|The name of the field that you are creating.  It is case sensitive and must be unique.|
        },

        'field type description' => {
                lastUpdated => 1167185918,
                message => q|<p>The type of field you are creating.  Please select the type from the following options in the drop-down list.</p>
		<div>
		<dl>
		<dt>Good Bad</dt>
		<dd>Defines availability of a feature, has it, doesn't have it, limited functionality, free add on, etc.</dd>
		<dt>Text</dt>
		<dd>A single line of text, like a short description or title.</dd>
		<dt>TextArea</dt>
		<dd>Multiple lines of text.</dd>
		<dt>URL</dt>
		<dd>A URL.</dd>
		<dt>Combo</dt>
		<dd>A combination Text box and drop down list.</dd>
		</dl></div>|
        },

        'field description' => {
                lastUpdated => 1135279558,
                message => q|Field Description|
        },

        'field description description' => {
                lastUpdated => 1135279558,
                message => q|Please give a general description of the field.|
        },

        'default value description' => {
                translatorsNote => q|Please do not translate the GoodBad field values, as described below|,
                lastUpdated => 1135279558,
                message => q|<p>Enter in a default value for the field that will be used if the user leaves the field blank.</p>
		<p>For the GoodBad field, the possible values are "No", "Yes", "Free Add On", "Costs Extra", "Limited".  While the displayed labels are internationalized, these values are not.</p>
		<p>For the Combo field, you may only enter in 1 value, but the user will be allowed to select any value entered in by other users.  In other words, the drop-down list will contain all values entered in by users who enter unique data into this field.</p>|
        },

        'category description' => {
                lastUpdated => 1136503500,
                message => q|Select the category which this field falls into.|
        },

};

1;
