package WebGUI::i18n::English::Auth;

our $I18N = {

	'anon reg template title' => {
		message => q|Anonymous Registration Template Variables|,
		lastUpdated => 1078856626
	},

	'anon reg template body' => {
		message => q|<p>The following template variables are available in all Anonymous Registration templates.</p>
|,
		lastUpdated => 1164335958
	},

	'create.form.header' => {
		message => q|The required form elements that go at the top of the anonymous registration page.|,
		lastUpdated => 1149220721,
	},

	'create.form.submit' => {
		message => q|The default submit button for the anonymous registration form. |,
		lastUpdated => 1149220721,
	},

	'create.form.footer' => {
		message => q|The required form elements that go after the anonymous registration page form. |,
		lastUpdated => 1149220721,
	},

	'title' => {
		message => q|Default page title.|,
		lastUpdated => 1164335682,
	},

	'create.form.profile' => {
		message => q|A loop containing visible and required profile fields for anonymous registration.  These variables are also available outside of the loop, identified by id.|,
		lastUpdated => 1164340521,
	},

	'profile.formElement' => {
		message => q|Form element for visible or required profile field.|,
		lastUpdated => 1149220721,
	},

	'profile.formElement.label' => {
		message => q|Default text label for profile form element.|,
		lastUpdated => 1149220721,
	},

	'profile.required' => {
		message => q|A boolean that will be true if the profile field is required.|,
		lastUpdated => 1164335807,
	},

	'create.form.profile.id.formElement' => {
		message => q|Non-loop version of the form element for profile fields. Replace id with the actual profile id for the element.|,
		lastUpdated => 1164340639,
	},

	'create.form.profile.id.formElement.label' => {
		message => q|Non-loop version of the default text label for profile form element. Replace id with the actual profile id for the element.|,
		lastUpdated => 1164340641,
	},

	'create.form.profile.id.required' => {
		message => q|Non-loop version of the boolean that will be true if the profile field is required. Replace id with the actual profile id for the element.|,
		lastUpdated => 1164340644,
	},

	'login.url' => {
		message => q|URL for the login page.|,
		lastUpdated => 1149220395,
	},

	'login.label' => {
		message => q|Default text label for login page link.|,
		lastUpdated => 1149220395,
	},

	'display account template title' => {
		message => q|Authentication Display Account Template|,
		lastUpdated => 1078852836
	},

	'display account template body' => {
		message => q|<p>The following template variables are available for Authentication Display Account templates. </p>
|,
		lastUpdated => 1149220652
	},

	'account.form.header' => {
		message => q|The required form elements that go at the top of the display account page.|,
		lastUpdated => 1149220575,
	},

	'account.form.footer' => {
		message => q|The required form elements that go after the display account page form.|,
		lastUpdated => 1149220575,
	},

	'account.form.karma' => {
		message => q|A read only form property displaying the amount of karma a user has.  Karma is a configurable user setting that is turned off by default  |,
		lastUpdated => 1149220575,
	},

	'account.form.karma.label' => {
		message => q|Internationalized text label for the karma form value.|,
		lastUpdated => 1149220575,
	},

	'account.form.submit' => {
		message => q|The default submit button for the display account form. |,
		lastUpdated => 1149220575,
	},

	'account.options' => {
		message => q|Links list of options which allow users to turn on Admin, view and edit profile, view the inbox, etc.  |,
		lastUpdated => 1149220575,
	},

	'login template title' => {
		message => q|Authentication Login Template|,
		lastUpdated => 1164394401
	},

	'login template body' => {
		message => q|<p>The following template variables are available for all Authentication Login templates. 
</p>
|,
		lastUpdated => 1164394398
	},

	'login.form.header' => {
		message => q|The required form elements that go at the top of the login page.|,
		lastUpdated => 1149220294,
	},

	'login.form.hidden' => {
		message => q|Hidden form fields required for form submission|,
		lastUpdated => 1149220294,
	},

	'login.form.footer' => {
		message => q|The required form elements that go after the login page form.|,
		lastUpdated => 1149220294,
	},

	'login.form.submit' => {
		message => q|The default submit button for the login form.|,
		lastUpdated => 1149220294,
	},

	'login.form.username' => {
		message => q|Default username form field|,
		lastUpdated => 1149220294,
	},

	'login.form.username.label' => {
		message => q|Default text for username form field|,
		lastUpdated => 1149220294,
	},

	'login.form.password' => {
		message => q|Default password form field|,
		lastUpdated => 1149220294,
	},

	'login.form.password.label' => {
		message => q|Default text for password form field|,
		lastUpdated => 1149220294,
	},

	'anonymousRegistration.isAllowed' => {
		message => q|Flag indicating whether or not anonymous registrations are allowed.|,
		lastUpdated => 1149220294,
	},

	'createAccount.url' => {
		message => q|URL for the anonymous registration page|,
		lastUpdated => 1149220294,
	},

	'createAccount.label' => {
		message => q|Default label for the anonymous registration link.|,
		lastUpdated => 1149220294,
	},

	'deactivate account template title' => {
		message => q|Authentication Deactivate Account Template|,
		lastUpdated => 1164394401
	},

	'deactivate account template body' => {
		message => q|<p>The following template variables are available for all Authentication Deactivate account templates. 
</p>
|,
		lastUpdated => 1164394398
	},

	'yes.label' => {
		message => q|Internationalized label for "Yes".|,
		lastUpdated => 1149220294,
	},

	'no.label' => {
		message => q|Internationalized label for "No".|,
		lastUpdated => 1149220294,
	},

	'yes.url' => {
		message => q|URL to deactivate the user's account.|,
		lastUpdated => 1149220294,
	},

	'no.url' => {
		message => q|URL to leave the user's account alone|,
		lastUpdated => 1149220294,
	},

	'question' => {
		message => q|URL to leave the user's account alone|,
		lastUpdated => 1149220294,
	},

	'topicName' => {
		message => q|Authentication|,
		lastUpdated => 1164338173,
	},

};

1;
